# eric7.EricWidgets.EricToolBox

Module implementing a horizontal and a vertical toolbox class.

### Global Attributes

None

### Classes

EricHorizontalToolBox | Class implementing a vertical QToolBox like widget.
EricVerticalToolBox | Class implementing a ToolBox class substituting QToolBox to support wheel events.

### Functions

None

## EricHorizontalToolBox

Class implementing a vertical QToolBox like widget.

### Derived from

EricTabWidget

### Class Attributes

None

### Class Methods

None

### Methods

EricHorizontalToolBox | Constructor
addItem | Public method to add a widget to the toolbox.
insertItem | Public method to add a widget to the toolbox.
removeItem | Public method to remove a widget from the toolbox.
setItemEnabled | Public method to set the enabled state of an item.
setItemToolTip | Public method to set the tooltip of an item.

### Static Methods

None

#### EricHorizontalToolBox (Constructor)

EricHorizontalToolBox(parent=None)

Constructor

parent
  reference to the parent widget (QWidget)

#### EricHorizontalToolBox.addItem

addItem(widget, icon, text)

Public method to add a widget to the toolbox.

widget
  reference to the widget to be added (QWidget)
icon
  the icon to be shown (QIcon)
text
  the text to be shown (string)

Return:
  index of the added widget (integer)

#### EricHorizontalToolBox.insertItem

insertItem(index, widget, icon, text)

Public method to add a widget to the toolbox.

index
  position at which the widget should be inserted (integer)
widget
  reference to the widget to be added (QWidget)
icon
  the icon to be shown (QIcon)
text
  the text to be shown (string)

Return:
  index of the added widget (integer)

#### EricHorizontalToolBox.removeItem

removeItem(index)

Public method to remove a widget from the toolbox.

index
  index of the widget to remove (integer)

#### EricHorizontalToolBox.setItemEnabled

setItemEnabled(index, enabled)

Public method to set the enabled state of an item.

index
  index of the item (integer)
enabled
  flag indicating the enabled state (boolean)

#### EricHorizontalToolBox.setItemToolTip

setItemToolTip(index, toolTip)

Public method to set the tooltip of an item.

index
  index of the item (integer)
toolTip
  tooltip text to be set (string)

Up

## EricVerticalToolBox

Class implementing a ToolBox class substituting QToolBox to support wheel events.

### Derived from

QToolBox

### Class Attributes

None

### Class Methods

None

### Methods

EricVerticalToolBox | Constructor

### Static Methods

None

#### EricVerticalToolBox (Constructor)

EricVerticalToolBox(parent=None)

Constructor

parent
  reference to the parent widget (QWidget)

Up